Subject: Re: c-client and SSL now possible to release?

From: Terry Gray <[email-masked]>
Date: Sat, 1 Apr 2000 19:20:04 -0800 (Pacific Standard Time)

The "non-discriminatory" refers to the fact that we do not have any
mechanism in place to prevent export of our software to the so-called
forbidden countries.  (This has to do with US export laws.)

We are still trying to find a definitive statement from our government
that the recent proposed relaxation in export rules is going to stick and
that it allows us to put our crypto-related source on an internet server.
(Even if the new rules do apply, there are still constraints.  For
example, I'm told that --curiously-- we still can't put binaries with any
crypto code on our servers.)

I don't have a url for either the old or new rules, but the old ones were
complex, contradictory, and specified very serious penalties.

-teg

On Sat, 1 Apr 2000, Kevin W. Mullet wrote:

> What's the latest on this?  This message below dated 04 Feb indicates
> there might be hope for UW being able to distribute its c-client SSL
> patches.  The FAQ answer at
> http://www.washington.edu/imap/IMAP-FAQs/FAQ-00014.html, also dated 04
> February, says that distribution isn't possible "because we distribute
> free software in source form on a non-discriminatory basis".
> 
> Help me out here.  Is the reference to distribution on a
> non-discriminatory basis a reference to a technical term in the law, or
> an editorial comment on same?  What is it in particular about the SSL
> distribution or c-client that prohibits the distribution?  A pointer to
> a URL on the policy/law, or something specific to plug into google,
> would be wonderful.
> 
> Thanks,
> 
> -KwM-
> 
> 
> On Fri, 4 Feb 2000, Terry Gray wrote:
> > Date: Fri, 4 Feb 2000 11:54:31 -0800 (Pacific Standard Time)
> > From: Terry Gray <[email-masked]>
> > To: Karsten Ballueder <[email-masked]>
> > Cc: c-client <[email-masked]>
> > Subject: Re: c-client and SSL now possible to release?
> > 
> > We are definitely looking at this, and are hopeful, but don't have an
> > answer for you yet.
> > 
> > Stay tuned!
> > 
> > -teg
> > 
> > On Fri, 4 Feb 2000, Karsten Ballueder wrote:
> > 
> > > If I understand the recent changes in US legislation, you
> > > are now allowed to distribute your SSL patches and
> > > c-client/imap source together.
> > > 
> > > Do you have any plans for this?
> > > --
> > >  Karsten Ballüder  http://Ballueder.home.dhs.org/  mailto:[email-masked]
> > >  Physics Department, Heriot-Watt University, Edinburgh, EH14 4AS, Scotland
> > >                      Tel. +44-(0)-131-4513068  Fax. +44-(0)-131-4513136
> > >             "In a world without fences, who needs Gates?"  
> > > 
> > > 
> > > 
> > > --
> > > ------------------------------------------------------------------
> > >  For information about this mailing list, and its archives, see:
> > >  http://www.washington.edu/imap/c-client-list.html
> > > ------------------------------------------------------------------
> > > 
> > 
> > 
> > 
> 
> --
> Kevin W. Mullet                         Network Security and Performance
> E-Mail: [email-masked]                     Data Communications
> Voice:  1.940.565.4742                  Computing Center
> FAX:    1.940.565.4060                  University of North Texas
> TDD:    1.800.735.2989                  PO Box 305398
> ICQ:    11173876                        Denton, TX 76203-5398
> http://kwm.unt.edu/
> Caveat: Nothing in this message is any entity's official opinion.
>       "Never anthropomorphize computers; they hate that."
> 
>

---

From: Raul Dias <[email-masked]>
Date: Mon, 3 Apr 2000 09:36:51 -0300

>crypto code on our servers.)

As I remember, some companies use to block SSL code to clients, based on the reverse of the 
IP address.
So, if the reverse wasn't .com, .net, .gov or .edu, the client couldn't download it.
Now, AFAIK, you can block just the forbiden countries part.

I know that anyone can register a .com domain, but it was acceptable.  
Or you can upload it to replay.com

-Raul Dias